<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <title>Document</title>
        <link rel="stylesheet" href="css/estilos.css">
        <script src="js/jquery-3.3.1.min.js"></script>
        
        <style>
            form{
                display: block;
            }
            
            .success,.failure {
                display: none;
            }
        
        </style>
    </head>
    <body>
    
    
    
        <div class="container">
            <form action="">
                <input type="text" name="nombre-completo" placeholder="Nombre"> 
                <p>
                    <input type="checkbox" name="aceptar-terminos" value="true">
                    Aceptar Terminos y condiciones
                </p>   
                
                <button type="submit">Enviar</button>
            </form>
            <p class="success">Registro Exitoso</p>
            <p class="failure">Registro fallido</p>
        </div>
        
        <script>
           $('form').submit(function (event){
               event.preventDefault()//para que no me redireccione
               //alert('hola')
               
               //validar si el nobre esta vacio
               
               //validar si acepto los terminos
               
              var nombre= $('input[name="nombre-completo"]').val()
               
              
              
              var failure=$('.failure')
              
              
              
               if(nombre ==''){
                   failure.css('display', 'block')
                   failure.text('POR FAVOR Escribe tu nombre')
                   //alert('Pof favor escribe el nombre')
                   return
               }
                   
               //validar si nombre tiene que ser mayor a 3 caracteres
               if(nombre.length <= 3){
                   //alert('Porfavor escribe el nombre completo')
                   failure.css('display', 'block')
                   failure.text('POR FAVOR Escribe tu nombre completo')
                   return
               }
               
               var aceptoTerminos = $('input[name="aceptar-terminos]').val()
               
               if(!aceptoTerminos){
                  // alert('Tienes que aceptar los terminos')
                   failure.css('display', 'block')
                   failure.text('POR FAVOR Acepte los terminos')
                   return
               }
               
               success
           })
            
        </script>
    </body>
</html>